commit:     a8ffe8296c3c320be4e16540a970b2eedc4f4066
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 29 06:08:22 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 29 06:59:37 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8ffe829

dev-python/pycairo: Bump to 1.23.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pycairo/Manifest              |  1 +
 dev-python/pycairo/pycairo-1.23.0.ebuild | 56 ++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/pycairo/Manifest b/dev-python/pycairo/Manifest
index f43db5e48bd2..1b93929f7d42 100644
--- a/dev-python/pycairo/Manifest
+++ b/dev-python/pycairo/Manifest
@@ -1,2 +1,3 @@
 DIST pycairo-1.21.0.tar.gz 340712 BLAKE2B 
6578c75b478c14c641b5c0be44c3c633d32ecc09c4ef22a079024dd12b539d37f88efa6ce8aadb5a88a48b3cc793e573afe00eaa4e3ba563c3133cad72dacfe4
 SHA512 
0de226b05d0a358f3546e4a0d5bf342f124373718d4900c891a09c1ede11e3ed1fb9bee163c00acfc215044683ddf0b29c8573b7454f9c39f957a47d63c34baf
 DIST pycairo-1.22.0.tar.gz 342295 BLAKE2B 
b331a627aea3b5fabaf9bbc089b5bb975178ea3be6383207ebefa994900dd73ff503309474729c9ce7b69e41c6495dd83a0db0d51410bea9aa37b30975e39700
 SHA512 
2a8da5b905536291291655a237fd0c6c54a5fe91a38296cffdc187c0c35837bd3176045f4ab39e59e7f67947deba7ba076c5e6ffdb46256b4b180c42267f41b6
+DIST pycairo-1.23.0.tar.gz 344623 BLAKE2B 
e0551e2d4259d509f3165682b11852f28f0df93e6befcd398ef95bc5f0eed0818dc72a05a9b085148d4369e9b3283bc4d91ce032c6c88a3b15962c83eb03db57
 SHA512 
fc0cc878cc716a6a2baf89a193facfcd89970c884afd3bb9d7fbecf42894ddd191988a8f0fe79100786509f17fbe4f1990eca33a5299414b2df2539d66de5abf

diff --git a/dev-python/pycairo/pycairo-1.23.0.ebuild 
b/dev-python/pycairo/pycairo-1.23.0.ebuild
new file mode 100644
index 000000000000..2c8700960b25
--- /dev/null
+++ b/dev-python/pycairo/pycairo-1.23.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the cairo library"
+HOMEPAGE="
+       https://www.cairographics.org/pycairo/
+       https://github.com/pygobject/pycairo/
+       https://pypi.org/project/pycairo/
+"
+SRC_URI="
+       https://github.com/pygobject/${PN}/releases/download/v${PV}/${P}.tar.gz
+"
+
+LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="examples"
+
+BDEPEND="
+       test? (
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       >=x11-libs/cairo-1.15.10[svg(+)]
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs \
+       dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_test() {
+       esetup.py build_tests
+       epytest
+}
+
+python_install() {
+       distutils-r1_python_install \
+               install_pkgconfig 
--pkgconfigdir="${EPREFIX}/usr/$(get_libdir)/pkgconfig"
+}
+
+python_install_all() {
+       if use examples; then
+               dodoc -r examples
+       fi
+
+       distutils-r1_python_install_all
+}

Reply via email to